Subject: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Aug 2020 13:15:46 +0200

"Drew Adams" <[email-masked]> writes:

> But near the end of the listing (not at all near that entry), I see this
> other entry for `M-r':
>
>  M-r             previous-matching-history-element
>    (that binding is currently shadowed by another mode)
>
> That makes no sense, or is at least misleading.  There is no special
> "mode" that I am aware of that is involved here, for one thing.  And I
> don't see how the `previous-matching-history-element' binding is
> "shadowed", whether by "another mode" or any other way.  `M-r' is simply
> bound to `icicle-roundup' in this keymap - it is not bound to
> `previous-matching-history-element' in this map, AFAIK.

The test case is this:

(define-key minibuffer-local-completion-map (kbd "M-r") 'icicle-roundup)
(substitute-command-keys "\\{minibuffer-local-completion-map}")

"key             binding
---             -------

C-g		abort-recursive-edit
[...]
M-r		icicle-roundup
[...]
M-r		previous-matching-history-element
  (that binding is currently shadowed by another mode)
"

That is pretty confusing -- I didn't even know that you could have the
same key binding twice in a keymap?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no